
/*
 * Copyright (c) 1997 Pietro Venanzangeli - All Rights Reserved.
 */

/**
 * Permette di prendere una lista di file da una directory 
 * @author  Pietro Venanzangeli.
 * @version 1.0, 14-Nov-1997
 */

import java.io.*;
import User;

public class DIR extends DynaMode {
  /** contiene la lista dei file */
  protected String[]ls = null;

  /**
   * Contruttore della classe.
   */
  public DIR ( ) {
  }

  /**
   * Inizializzazione delle variabili 
   */
  public void Init( ) {
  }

  /**
   * Punto di elaborazione delle informazioni.
   * @param crUser contiene le informazioni sull' utente.
   * @param param contiene dei parametri addizionali per il comando 
   */
  public void PExecute(User crUser,String param) {
	  if (param.compareTo("")==0)param = new String(crUser.GetPrivateDir());
    File sorg = new File (param);
    ls = sorg.list();
	PrintListFile(crUser.GetOutBuff());
  }


  /** 
   * Stampa l' array contenente la lista dei file della directory.
   * @param OutStream e' il buffer di out dove viene visualizzata la lista
   */
  private void PrintListFile(PrintStream OutStream) {
    for (int cont =0; cont !=ls.length;cont++) {
      OutStream.println(ls[cont]);
    }
  }

}
